/**
 * 
 */
package net.bigeon.gclc.swt;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertNotNull;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Shell;
import org.junit.Test;

/** @author Emmanuel Bigeon */
public class SWTConsoleViewTest {

    /** Test method for {@link net.bigeon.gclc.swt.SWTConsoleView#setFocus()}. */
    @Test
    public void testSetFocus() {
        final SWTConsoleView view = new SWTConsoleView(new Shell(), SWT.NONE);
        assertFalse("Non visible component set focus should fail", view.setFocus());
    }

    /** Test method for
     * {@link net.bigeon.gclc.swt.SWTConsoleView#SWTConsoleView(org.eclipse.swt.widgets.Composite, int)}. */
    @Test
    public void testSWTConsoleView() {
        final SWTConsoleView view = new SWTConsoleView(new Shell(), SWT.NONE);
        assertNotNull("View should be initialized with managers", view.getInputManager());
        assertNotNull("View should be initialized with managers",
                view.getOutputManager());
    }

    /** Test method for
     * {@link net.bigeon.gclc.swt.SWTConsoleView#setManager(net.bigeon.gclc.utils.PipedConsoleOutput, net.bigeon.gclc.utils.PipedConsoleInput)}. */
    @Test
    public void testSetManager() {
        final SWTConsoleView view = new SWTConsoleView(new Shell(), SWT.NONE);
        // Disconnection should work.
        view.setManager(null, null);
    }
}
